aboutsummaryrefslogtreecommitdiffstats
path: root/doc/make.sh
diff options
context:
space:
mode:
author1138-4EB <1138-4EB@users.noreply.github.com>2019-11-11 18:46:36 +0000
committertgingold <tgingold@users.noreply.github.com>2019-11-11 19:46:36 +0100
commit8599d9ddd15b15afdeced6059b1e1b7a972f4db1 (patch)
tree499b9c6fe0f85ce7ed221f72ac31036eefde0194 /doc/make.sh
parent22775978be88c5ea8e5b740734e42eeb2fef0968 (diff)
downloadghdl-8599d9ddd15b15afdeced6059b1e1b7a972f4db1.tar.gz
ghdl-8599d9ddd15b15afdeced6059b1e1b7a972f4db1.tar.bz2
ghdl-8599d9ddd15b15afdeced6059b1e1b7a972f4db1.zip
Update doc (#1003)
* doc: update makefile and build scripts * actions: add workflow 'doc' * doc: reorganize sections * doc: fix 'unknown option' warnings, headings, spaces, etc. * doc: add subdir 'examples', move 'quick_start' sources * doc: add section 'Development/Debugging' * doc: add section'Development/Synthesis' * doc: update roadmap * doc: add section examples * doc: use standard domain * doc: add comment about 'vhd' vs 'vhdl'
Diffstat (limited to 'doc/make.sh')
-rwxr-xr-xdoc/make.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/doc/make.sh b/doc/make.sh
new file mode 100755
index 000000000..200c29ac1
--- /dev/null
+++ b/doc/make.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env sh
+
+set -e
+
+cd "$(dirname $0)"
+
+docker build -t ghdl/sphinx -f- . <<EOF
+FROM btdi/sphinx:py3-featured
+COPY requirements.txt /
+RUN apk add -U --no-cache make \
+ && pip3 install -r /requirements.txt
+EOF
+
+dcmd="docker run --rm -u $(id -u) -v /$(pwd)/..://tmp/src -w //tmp/src/doc"
+
+$dcmd ghdl/sphinx sh -c "make html latex man"
+
+set +e
+
+$dcmd btdi/latex:latest bash -c "
+cd _build/latex
+#make
+pdflatex -interaction=nonstopmode GHDL.tex;
+makeindex -s python.ist GHDL.idx;
+pdflatex -interaction=nonstopmode GHDL.tex;
+"
+
+set -e